Bug 739195 - [ipa webui] Unprovisioning keytab does not have cancel option
Summary: [ipa webui] Unprovisioning keytab does not have cancel option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 818665
TreeView+ depends on / blocked
 
Reported: 2011-09-16 18:23 UTC by Jenny Galipeau
Modified: 2015-01-04 23:51 UTC (History)
5 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When user attempt unprovision a host keytab in Web UI Unprovisioning Host dialog, there is not option to cancel. The only way to cancel the dialog is via "X" button. Consequence: User may get confused if he wants to cancel this action Fix: Cancel button is added to Unprovisioning Host dialog Result: User has a straightforward way to cancel the unprovision action
Clone Of:
: 818665 (view as bug list)
Environment:
Last Closed: 2011-12-06 18:31:50 UTC


Attachments (Terms of Use)
screen shot unprovisioning host (69.84 KB, image/png)
2011-09-16 18:23 UTC, Jenny Galipeau
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Galipeau 2011-09-16 18:23:28 UTC
Created attachment 523603 [details]
screen shot unprovisioning host

Description of problem:
When you attempt to delete / unprovision a service or host keytab, there is no option to cancel.  You can close the confirmation box by the "x" but this should have an option to cancel.

Version-Release number of selected component (if applicable):
ipa-server-2.1.1-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Add a host (optionally add a service for the host)
2. provision a keytab for the host or service
  example:  ipa-getkeytab -s ipaserver.testrelm -p host/servicehost.testrelm@TESTRELM -k /tmp/servicehost.keytab
3. From the Web UI, Identity --> Hosts --> servicehost.testrelm
4. Select "Delete Key, Unprovision"
  
Actual results:
No option to cancel the action in the confirmation box

Expected results:
Option to cancel or Unprovision

Additional info:

See attached screen shot

Comment 2 Dmitri Pal 2011-09-16 20:54:55 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1811

Comment 5 Martin Kosek 2011-11-01 09:46:48 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: When user attempt unprovision a host keytab in Web UI Unprovisioning Host dialog, there is not option to cancel. The only way to cancel the dialog is via "X" button.
Consequence: User may get confused if he wants to cancel this action
Fix: Cancel button is added to Unprovisioning Host dialog
Result: User has a straightforward way to cancel the unprovision action

Comment 7 Namita Soman 2011-11-05 20:52:47 UTC
Verified using ipa-server-2.1.3-8.el6.x86_64

Cancel option is available when deleting/unprovisioning

Comment 8 errata-xmlrpc 2011-12-06 18:31:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.